Bug 139739 - CAN-2004-1036 Cross Site Scripting in encoded text
CAN-2004-1036 Cross Site Scripting in encoded text
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squirrelmail (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
impact=moderate,public=20041110
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 15:07 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 15:23:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch for this issue. (1.00 KB, patch)
2004-11-17 15:11 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2004-11-17 15:07:48 EST
There is a cross site scripting issue in the decoding of encoded text
in certain headers. SquirrelMail correctly decodes the specially
crafted header, but doesn't sanitize the decoded strings.
Comment 1 Josh Bressers 2004-11-17 15:09:14 EST
We'll want to make sure that this fix makes it into RHEL4 as well.
Comment 2 Josh Bressers 2004-11-17 15:11:08 EST
Created attachment 106907 [details]
Upstream patch for this issue.
Comment 3 Warren Togami 2004-11-20 22:49:17 EST
dist-3.0E-errata-candidate squirrelmail-1.4.3a-7.EL3 is ready.  Do you
want to handle pushing?

CHANGLEOG since previous RHEL3 errata:
======================================
- sync with RHEL4 1.4.3a-7 except dovecot default config removed
- CAN-2004-1036 Cross Site Scripting in encoded text
- #112769 updated splash screens
- HIGASHIYAMA Masato's patch to improve Japanese support
  (coordinated by Scott A. Hughes).
- real 1.4.3a tarball
- #125638 config_local.php and default_pref in /etc/squirrelmail/
  to match upstream RPM.  This should allow smoother drop-in
  replacements and upgrades.
Comment 6 Mark J. Cox (Product Security) 2004-12-07 05:47:35 EST
Will be RHSA-2004:654
Comment 7 Josh Bressers 2004-12-23 15:23:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-654.html

Note You need to log in before you can comment on or make changes to this bug.